Botan 1.10.17

Classes | Namespaces | Enumerations | Functions
asn1_int.h File Reference
`#include <botan/secmem.h>`
`#include <botan/exceptn.h>`

Go to the source code of this file.

## Classes
class | Botan::ASN1_Object
struct | Botan::BER_Bad_Tag
struct | Botan::BER_Decoding_Error
class | Botan::BER_Object

## Namespaces
| Botan
| Botan::ASN1

## Enumerations
enum | Botan::ASN1_Tag { Botan::UNIVERSAL = 0x00, Botan::APPLICATION = 0x40, Botan::CONTEXT_SPECIFIC = 0x80, Botan::PRIVATE = 0xC0, Botan::CONSTRUCTED = 0x20, Botan::EOC = 0x00, Botan::BOOLEAN = 0x01, Botan::INTEGER = 0x02, Botan::BIT_STRING = 0x03, Botan::OCTET_STRING = 0x04, Botan::NULL_TAG = 0x05, Botan::OBJECT_ID = 0x06, Botan::ENUMERATED = 0x0A, Botan::SEQUENCE = 0x10, Botan::SET = 0x11, Botan::UTF8_STRING = 0x0C, Botan::NUMERIC_STRING = 0x12, Botan::PRINTABLE_STRING = 0x13, Botan::T61_STRING = 0x14, Botan::IA5_STRING = 0x16, Botan::VISIBLE_STRING = 0x1A, Botan::BMP_STRING = 0x1E, Botan::UTC_TIME = 0x17, Botan::GENERALIZED_TIME = 0x18, Botan::NO_OBJECT = 0xFF00, Botan::DIRECTORY_STRING = 0xFF01 }

## Functions
bool | Botan::ASN1::maybe_BER (DataSource &source)
SecureVector< byte > | Botan::ASN1::put_in_sequence (const MemoryRegion< byte > &contents)
std::string | Botan::ASN1::to_string (const BER_Object &obj)